Bug 50777 - registration is impossible using rhn_register and an existing account
registration is impossible using rhn_register and an existing account
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2001-08-02 21:03 EDT by Graham Leggett
Modified: 2015-01-07 18:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-21 11:09:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2001-08-02 21:03:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.73 [en] (X11; I; Linux 2.4.6 ppc)

Description of problem:
According to the menu options inside rhn_register, if you have an existing
Redhat Network account, you are asked to enter the username and password
for it.

Instead of adding the system to the account as expected, the rhn_register
script comes back saying "user already exists".

This makes it impossible to use rhn_register on any machine other than when
the RHN account is first created, rendering the rhn_register script pretty

How reproducible:

Steps to Reproduce:
1. Run rhn_register
2. Get to Step 2: Register a User Account
3. Enter an existing username and password
4. Observe error "ERROR: This username is already taken"

Expected Results:  The rhn_register should have registered the system with
the existing account.

Additional info:
Comment 1 Jay Turner 2001-09-18 08:21:07 EDT
The system will give this error if you provide an existing username, but a
different password from the one that we have on record.  What username are you
seeing this with?
Comment 2 Graham Leggett 2001-09-18 18:24:36 EDT
The username being used is "minfrin". The password being used is the same
password that works to get into the RHN website.
Comment 3 Jay Turner 2001-09-21 11:09:43 EDT
I have to admit that I'm at a loss here.  I cannot replicate this problem in our
lab no matter what I try.  The only thing that I can recommend is that you
verify that you are using the same password to log into https://rhn.redhat.com
as you are using under rhn_register.  In addition, run 'rhn_register --config
--nox' and confirm that serverURL is set to https://www.rhns.redhat.com/XMLRPC

Note You need to log in before you can comment on or make changes to this bug.